Subject: bug#10471: Severe or critical - deletes existing files and leaves nothing. (cp)

From: Paul Eggert <[email-masked]>
Date: Thu, 09 Apr 2015 22:56:05 -0700

L. A. Walsh wrote:
> How was the bug with 'mv' fixed?

You should be able to find that out by looking at the Git history.

I generally work with ext4 and zfs myself, and I don't observe the bug with any 
of the file systems I use.  I don't know about the other coreutils developers, 
but I expect that case-insensitive file systems are just as much oddballs for 
them as they are for me.  If the bug bothers you, and if it still exists in the 
coreutils master version (something that's not at all clear), I urge you to send 
us a fix for it, as that's most likely going to be the fastest and most reliable 
way to get the bug fixed.